Subject: bug#32899: 27.0.50; wdired-do-renames: Speed up for long Emacs sessions

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 04 Sep 2020 06:10:47 +0200

Tino Calancha <[email-masked]> writes:

> In a long lived Emacs session with many buffers, we can
> get a significant improvement with `wdired-do-renames' if we
> drop an unnecessary step, i.e., if `dired-rename-file'
> calls `dired-rename-subdir' iif FILE is a directory.
>
> I observe gains as high as a factor 15.

This was apparently never applied at the time, and it no longer applied
cleanly, so I respun the patch and did some testing.  Everything seems
to work for me, and I think the patch makes sense, so I've applied it to
Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no